#include<bits/stdc++.h>
using namespace std;
int N,K,x;
vector<int> niz;
int main() {
    cin>>N>>K>>x;
    if(N==K) {
        niz.push_back(1);
        niz.push_back(x+1);
        for(int i=3;i<N;i++)
            niz.push_back(x+2);
        niz.push_back(x+1+x);
        if(niz.size()>N)
            cout<<-1<<endl;
        else {
            for(int i=0;i<N;i++)
                cout<<niz[i]<<" ";
        }
    }
    else
        {
        niz.push_back(1);
        niz.push_back(1);
        niz.push_back(1);
        niz.push_back(1+x);
        for(int i=4;i<N;i++)
            niz.push_back(x);
        for(int i=0;i<N;i++)
                cout<<niz[i]<<" ";
    }
    return 0;
}